## Intel Mutual Authentication service

Intel Mutual Authentication service — Support for the Intel Mutual Authentication service.

## Functions

MbimMessage * | mbim_message_intel_mutual_authentication_fcc_lock_query_new ()
MbimMessage * | mbim_message_intel_mutual_authentication_fcc_lock_set_new ()
gboolean | mbim_message_intel_mutual_authentication_fcc_lock_response_parse ()

## Description

This section implements support for requests, responses and notifications in the Intel Mutual Authentication service.

## Functions

### mbim_message_intel_mutual_authentication_fcc_lock_query_new ()

    MbimMessage *
    mbim_message_intel_mutual_authentication_fcc_lock_query_new
                                   (GError **error);

Create a new request for the 'FCC Lock' query command in the 'Intel Mutual Authentication' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.30

### mbim_message_intel_mutual_authentication_fcc_lock_set_new ()

    MbimMessage *
    mbim_message_intel_mutual_authentication_fcc_lock_set_new
                                   (gboolean response_present,
                                    guint32 response,
                                    GError **error);

Create a new request for the 'FCC Lock' set command in the 'Intel Mutual Authentication' service.

#### Parameters

response_present | the 'ResponsePresent' field, given as a gboolean. | [in]
response | the 'Response' field, given as a guint32. | [in]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.30

### mbim_message_intel_mutual_authentication_fcc_lock_response_parse ()

    gboolean
    mbim_message_intel_mutual_authentication_fcc_lock_response_parse
                                   (const MbimMessage *message,
                                    gboolean *out_challenge_present,
                                    guint32 *out_challenge,
                                    GError **error);

Parses and returns parameters of the 'FCC Lock' response command in the 'Intel Mutual Authentication' service.

#### Parameters

message | the MbimMessage. |
out_challenge_present | return location for a gboolean, or `NULL` if the 'ChallengePresent' field is not needed. | [out][optional][transfer none]
out_challenge | return location for a guint32, or `NULL` if the 'Challenge' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.30